component-section
  div(slot='title') Studiehandleiding
  component-section
    div(slot='title') Inleiding
    | Je krijgt/hebt inzicht in praktische en theoretische aspecten van softwarearchitectuur.
    | De belangrijkste onderwerpen zijn definitie van softwarearchitectuur, de architectuur-designcyclus, kwaliteitsattributen en andere niet-functionele eisen, architectuurframeworks zoals 4+1 Views, architecturele patterns en tactics, en architectuur-analyse en -evaluatie.
  component-section
    div(slot='title') Toetsen
    include ../toetsstructuur.pug
    component-section
      div(slot='title') ℹ️ Kennistoetsen
      p
        | Om de twee weken krijg je een kennistoets van een 15 tot 20 minuten over de leerinhoud van de afgelopen twee weken.
        | Heb je recht op extra tijd, dan krijg je je percentage aan extra tijd (meestal 25 %).
        | De kennistoetsen zijn schriftelijke tentamens.
        | De tentamens worden afgenomen aan het einde van de donderdagles, met je docent als surveillant.
        | Deze keer zijn de kennistoetsen helaas op papier, omdat de examencommissie digitaal tentamineren heeft opgeschort, vanwege hun zorg over het frauderisico.
      component-section
        div(slot='title') D_KToets 1
        div
          | Bestaat uit Lesweek 1 en 2, onderwerpen:
          ul
            li Je legt software architecture uit.
      component-section
        div(slot='title')
          code D_KToets 2
        p Bestaat uit Lesweek 3 en 4
      component-section
        div(slot='title')
          code D_KToets 3
        p Bestaat uit Lesweek 5 en 6
      component-section
        div(slot='title')
          code D_KToets 4
        p Bestaat uit Lesweek 7
      component-section
        div(slot='title')
          code Herkansing
        p
          | Bestaat uit D_KToets 1 tot en met 4.
          | Heb je bijvoorbeeld D-KToets 2 niet behaald (of aan deelgenomen) en overige wel, dan hoef je alleen deze te herkansen in OW-9.
    component-section
      div(slot='title')
        | ℹ️ Opdracht Software Architectuur Document
        |
        code (B_SAD)
      component-section
        div(slot='title') Doel
        p
          strong Ontwerpen
          | :
        p
          | Je ontwerpt onderzoekend een softwarearchitectuur (met bijvoorbeeld broncode, diagrammen en documenten, deskundigen en belanghebbenden) die aan een verzameling architecturaal significante vereisten voldoet, en levert hiervoor op een Software Architecture Document en broncode.
        p
          strong Raamwerk:
        p
          | Je beschrijft een softwarearchitectuur volgens een architectuurraamwerk dat voldoet aan de norm NEN-ISO/IEC/IEEE 42010 (zoals 4+1 Views of C4), en levert hiervoor een Software Architecture Document op.
        p
          strong Reconstrueren:
        p
          | Je reconstrueert onderzoekend een softwarearchitectuur (met bijvoorbeeld broncode, diagrammen en documenten, deskundigen en belanghebbenden), en levert hiervoor een Software Architecture Document op.
        p
          strong Vereisten:
        p
          | Je ontwikkelt vereisten voor een softwaresysteem met de norm NEN-ISO/IEC 25010, en levert hiervoor architecturaal significante vereisten op.
      component-section
        div(slot='title') Beoordeling
        p
          | Zie het
          |
          a(href='bron/Beoordelingsmodel%20%C2%B7%20Opdracht%20Software%20Architecture%20Document%20(B_SAD).pdf') beoordelingsformulier
          | . \(\text{cijfer} = 9 * (\text{punten} / \text{totaal}) + 1\), minimaal 1 en maximaal 10.
          | Voor de weging van dit deeltentamen en overige examineringsinformatie, zie
          |
          a(
            href='https://isas.han.nl/Default.aspx?F=OnderwijsAanbodDetails&Studiejaar=2021&Eigenaar=AIM&OWE=ASD+SKA&Back=A&dt=102302893') iSAS
          | .
      component-section
        div(slot='title') In te leveren
        p
          | Schrijf je document idealiter als Word-bestand.
          | Lever je uitwerking in als een gecomprimeerd archiefbestand.
          | Lever ook duidelijke uitleg mee over wat er allemaal af is.
        p Lever je document in op iSAS.
  component-section
    div(slot='title') Planning
    figure
      figcaption
        | In onderstaande figuur is het schema weergegeven van de lesweken.
        ul
          li
            | Lesweek 1 tot en met 7 bevat de onderwerpen beschreven in de kolom
            |
            strong Topic
            | .
          li
            | De kolom
            |
            strong Bass
            |
            | verwijst naar de hoofdstukken uit
            strong Software Architecture in Practice, Bass L., Clements P., Kazam R.
            | .
          li
            | In de kolom
            |
            strong SAD
            |
            | staat de verwijzing naar de SAD template.
          li Lesweek 8 is voor overloop, herhaling en en beantwoorden van vragen.
          li
            | Om de 2 weken is een deeltentamen gepland.
            | De herkansingen van deze deeltentamens staan gepland in lesweek 9.
      img(src='img/ow_planning.png', alt='Overzicht Lesweken')
